<template>
  <sup class="required-icon"><i class="bi bi-asterisk" data-bs-toggle="tooltip" :title="text"></i></sup>
</template>

<script>
export default {
  name: 'RequiredIcon',
  props: {
    text: { type: String, default: 'Field is required' },
  },
}
</script>

<style lang="scss">
@use '../sass/vars';

.required-icon {
  color: crimson;
  margin-right: vars.$iconSpacing;
}
</style>
